/* REXX INSTALL PROGRAM FOR MOVIEMAN! */

/* Load aditional functions */

        CALL RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
        CALL SysLoadFuncs

/* Establish a default installation location for Movieman! files */

        map = SysDriveMap('C:')
        drv = 'c:'
        dir = '\movieman'
        default_location = drv||dir||"\"
        CTRPAD = 79

/* Greet new user */

     call SysCls
     SAY ' '
     SAY ' '
     SAY ' '
     SAY ' '
     SAY ' '
     SAY ' '
SAY CENTER("ͻ", CTRPAD)
SAY CENTER("                                                           ", CTRPAD)
SAY CENTER("               Welcome to the Movieman!                    ", CTRPAD)
SAY CENTER("                                                           ", CTRPAD)
SAY CENTER("        The install program will copy Movieman!            ", CTRPAD)
SAY CENTER("                                                           ", CTRPAD)
SAY CENTER("     files to C:\MOVIEMAN unless you direct otherwise.     ", CTRPAD)
SAY CENTER("                                                           ", CTRPAD)
SAY CENTER("     And, if you like, MOVIEMAN.EXE will be copied to      ", CTRPAD)
SAY CENTER("                                                           ", CTRPAD)
SAY CENTER("            your OS/2 Desktop for E-Z access.              ", CTRPAD)
SAY CENTER("                                                           ", CTRPAD)
SAY CENTER("ͼ", CTRPAD)

SAY ' '
SAY ' '
SAY ' '
     trash = SysGetKey('NOECHO')

/* Initiate screen and ask user for changes to the default settings */

        CALL SysCls
        SAY " "
        SAY " "
        SAY " "
        SAY CENTER('Install Movieman! to 'drv'?', CTRPAD)
        SAY " "
        SAY CENTER('Press ''Y'' to accept', CTRPAD)
        SAY " "
        SAY CENTER('or enter NEW drive letter eg. - ''d''', CTRPAD)
        SAY " "
        SAY " "
        SAY CENTER("Available drives are: "map, CTRPAD)
        SAY " "
        SAY CENTER('Press ''Q'' to quit', CTRPAD)
        SAY " "

/* Get user response */

        key = SysGetKey('NOECHO')

/* Change response to upper case*/

        PARSE UPPER VAR key key

/* Translate Drive letter */

        Select
           when key = 'Y' then nop
           when key = 'Q' then signal Halt
           otherwise
                drv = key||':'
           end  /* select */


/* Get directory from user */

        SAY " "
        SAY " "
        SAY CENTER('Put Movieman! in 'drv||dir'?', CTRPAD)
        SAY " "
        SAY CENTER('Press ''Y'' to accept 'drv||dir, CTRPAD)
        SAY " "
        SAY CENTER('Press ''N'' to enter different directory', CTRPAD)
        SAY " "
        SAY CENTER('Press any other key to exit', CTRPAD)
        SAY " "
        SAY " "

/* Get user user response */

        key = SysGetKey('ECHO')

/* Change to upper case */

        PARSE UPPER VAR key key

/* Handle response */

     Select
          when key = 'Y' then nop
          when key = 'N' then do
               SAY " "
               SAY ' '
               SAY 'Enter new directory name: '
               PULL response
               dir = '\'||response
               end
          otherwise do
               signal Halt
               end
          end /* Select */

/* Notify user of installation beginning */

        SAY " "
        SAY " "
        SAY CENTER('Installing Movieman to 'drv||dir, CTRPAD)
        SAY " "
        SAY " "
        SAY CENTER('Please wait ... ', CTRPAD)
        SAY ' '

/* If directory doesn't exist, create it */

     stem.0 = 0
     call SysFileTree drv||dir, 'stem', 'D'
     if stem.0 = 0 then do
          rc = SysMkDir( drv||dir )
          if rc \= 0 then do
             SAY ' '
             SAY ' '
             SAY CENTER('Error 'rc' creating 'drv||dir, CTRPAD )
             signal Halt
             end
          end

/* Begin copying files */

     copy 'movieman.* 'drv||dir
     copy '*.txt' drv||dir
     copy 'sample.mvm' drv||dir
     copy 'vrobj.dll' drv||dir
     copy 'fileid.diz' drv||dir
     copy 'package.lst' drv||dir
     copy 'install.cmd' drv||dir

/* Notify user when finished */

     SAY ' '
     SAY ' '
     SAY CENTER('Completed copying files', CTRPAD)
     SAY ' '
     SAY ' '
     SAY CENTER('Would you like to add Movieman! to your desktop?', CTRPAD)
     SAY ' '
     SAY CENTER('Enter ''Y'' for YES -- any other key for NO', CTRPAD)
     SAY ' '
     SAY ' '

/* Get user response */

     key = SysGetKey('NOECHO')

/* Change to upper case */

     PARSE UPPER VAR key key

/* Handle response */

     name = drv||dir||'\movieman.exe'

     If key \= 'Y' then signal Halt
     else do
          copy name 'c:\desktop'   /* copy exe file to Desktop */
          info = drv||dir||'\movieman.inf' /* Copy HLP and INF files */
          copy info 'c:\os2\book'
          help = drv||dir||'\movieman.hlp'
          copy help 'c:\os2\help'
                    SAY ' '   /* Inform user */
                    SAY ' '
                    SAY CENTER('Movieman! successfully copied to the Desktop!', CTRPAD)
                    call SysSleep 2     /* Let user read message */
                    end

/* Leaving install program message */

Halt:

     call SysCls
     SAY ' '
     SAY ' '
     SAY ' '
     SAY ' '
     SAY CENTER("Don't forget to backup your data ... Enjoy!", CTRPAD)
     call SysSleep 2
     call SysCls

exit
